Subject: Re: [PATCH net-next 0/2] net/smc: Spread workload over multiple cores

From: Jason Gunthorpe <[email-masked]>
Date: Wed, 26 Jan 2022 11:29:16 -0400

On Wed, Jan 26, 2022 at 09:01:39PM +0800, Tony Lu wrote:
> Currently, SMC creates one CQ per IB device, and shares this cq among
> all the QPs of links. Meanwhile, this CQ is always binded to the first
> completion vector, the IRQ affinity of this vector binds to some CPU
> core.

As we said in the RFC discussion this should be updated to use the
proper core APIS, not re-implement them in a driver like this.

Jason